#!/bin/sh

## check if policy create API is provided
if [ $# -eq 0 ]
then
    ## Assumption is NO-ONE will pass public API as argument as it is used by default
    POLICY_CREATE_API="/service/public/api/policy"
    LIST_FILES_CMD="ls input-old/"
else
    POLICY_CREATE_API=$1
    LIST_FILES_CMD="ls input/"
fi

# policy create APIs
# /service/public/api/policy
# /service/public/v2/api/policy
# /service/plugins/policies

# Declare
ADMIN_HOST="localhost"
REQ_TYPE_ACCEPT="Accept:application/json"
REQ_TYPE_CONTENT="Content-Type:application/json"


# create policies function
create_policy () {
    echo "Creating policy using json file [$1], and [$POLICY_CREATE_API] API"
    curl -ik -u admin:rangerR0cks! -X POST -H $REQ_TYPE_ACCEPT -H $REQ_TYPE_CONTENT "http://$ADMIN_HOST:6080$POLICY_CREATE_API" -d @input/$1
    echo ""
    echo "###############################################################################################################################"
} 

# loop through all payload json files and create policy for each
for j in `$LIST_FILES_CMD`; do create_policy $j; done